# Poco::Data::ODBC

# template < class H, SQLSMALLINT handleType >

# class HandleException

Library: ODBC
Package: ODBC
Header: Poco/Data/ODBC/ODBCException.h

## Inheritance

Direct Base Classes: ODBCException

All Base Classes: Poco::Data::DataException, ODBCException, Poco::Exception, Poco::IOException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, diagnostics, errorString, name, operator =, rethrow, toString

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### HandleException

HandleException(
const H & handle
);

Creates HandleException

### HandleException

HandleException(
const HandleException & exc
);

Creates HandleException

### HandleException

HandleException(
const H & handle,
const std::string & msg
);

Creates HandleException

### HandleException

HandleException(
const H & handle,
const std::string & msg,
const std::string & arg
);

Creates HandleException

### HandleException

HandleException(
const H & handle,
const std::string & msg,
const Poco::Exception & exc
);

Creates HandleException

## Destructor

### ~HandleException

~HandleException();

Destroys HandleException

## Member Functions

### className

const char * className() const;

Returns the HandleException class name.

See also: Poco::Data::ODBC::ODBCException::className()

### clone

Poco::Exception * clone() const;

Clones the HandleException

### diagnostics

const Diagnostics < H, handleType > & diagnostics() const;

Returns error diagnostics.

### errorString

static std::string errorString(
const H & handle
);

Returns the error diagnostics string for the handle.

### name

const char * name() const;

Returns the name of the exception

See also: Poco::Data::ODBC::ODBCException::name()

### operator =

HandleException & operator = (
const HandleException & exc
);

Assignment operator

### rethrow

void rethrow() const;

Re-throws the HandleException.

See also: Poco::Data::ODBC::ODBCException::rethrow()

### toString

std::string toString() const;

Returns the formatted error diagnostics for the handle.